Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000155 [cparser] parser minor always 2015-08-06 11:39 2016-01-03 03:28
Reporter jonashaag View Status public  
Assigned To UniQ
Priority normal Resolution fixed  
Status closed   Product Version
Summary 0000155: Don't require parenthesis around throw expression argument
Description $ cat test-throw.cc
int main() {
  int n = 42;
  throw n;
}

$ g++-5 test-throw.cc # Works fine

$ clang++ test-throw.cc # Works fine


$ build/debug/cparser test-throw.cc # Expects parenthesis around "n"
test-throw.cc:3:9: error: expected ';', got identifier 'n'
test-throw.cc:3:9: warning: statement has no effect [-Wunused-value]
1 error(s), 1 warning(s)
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000235)
Matze (administrator)
2015-10-02 09:45

C++ support is not even remotely close to being ready for anything. I'll close this for now as bugreports are not helpful at this point until we have done more real work towards proper C++ support.

I pushed 18f84823de4fbb9e4fc09193721e7bdd96372926 now so we produce a warning if the C++ mode is used.
(0000240)
UniQ (developer)
2015-12-23 16:59

Fixed in cparser 83cd5ea979270062d9ad29bd142f2615bc346fa7.

- Issue History
Date Modified Username Field Change
2015-08-06 11:39 jonashaag New Issue
2015-10-02 09:45 Matze Note Added: 0000235
2015-10-02 09:45 Matze Status new => closed
2015-10-02 09:45 Matze Resolution open => suspended
2015-12-23 16:59 UniQ Note Added: 0000240
2015-12-23 16:59 UniQ Status closed => resolved
2015-12-23 16:59 UniQ Resolution suspended => fixed
2015-12-23 16:59 UniQ Assigned To => UniQ
2016-01-03 03:28 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker